{% raw %}
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: github-ssh-access
  namespace: ci
spec:
  refreshInterval: 1h
  secretStoreRef:
    name: vault-backend
    kind: ClusterSecretStore
  target:
    name: github-ssh-access
    template:
      metadata:
        labels:
          "jenkins.io/credentials-type": "basicSSHUserPrivateKey"
        annotations:
          "jenkins.io/credentials-description": "github-ssh-access key"
      data:
        username: >-
          {{ printf "{{ .username | toString }}" }}
        privateKey: >-
          {{ printf "{{ .privateKey | toString }}" }}
  data:
    - secretKey: username
      remoteRef:
        key: my-kv
        property: github-ssh-access-username
    - secretKey: privateKey
      remoteRef:
        key: my-kv
        property: github-ssh-access-private-key
{% endraw %}